# db cursor |

`

###

    db cursor
    	[-txn txnid]

# Description

The db cursor command creates a database cursor. The returned cursor handle is bound to a Tcl command of the form dbN.cX, where X is an integer starting at 0 (e.g., db0.c0 and db0.c1). It is through this Tcl command that the script accesses the cursor methods.

The options are as follows:

-txn txnid
  If the file is being accessed under transaction protection, the txnid parameter is a transaction handle returned from env txn.

In the case of error, a Tcl error is thrown.

`

Copyright Sleepycat Software